.mc-component-library .v-img {
  --v-theme-overlay-multiplier: 3;
  z-index: 0;
}
.mc-component-library .v-img.v-img--absolute {
  height: 100%;
  left: 0;
  overflow: hidden;
  position: absolute;
  top: 0;
  width: 100%;
  z-index: -1;
}
.mc-component-library .v-img--booting .v-responsive__sizer {
  transition: none;
}
.mc-component-library .v-img--rounded {
  border-radius: 4px;
}

.mc-component-library .v-img__img,
.mc-component-library .v-img__picture,
.mc-component-library .v-img__gradient,
.mc-component-library .v-img__placeholder,
.mc-component-library .v-img__error {
  z-index: -1;
}
.mc-component-library .v-img__img,
.mc-component-library .v-img__picture,
.mc-component-library .v-img__gradient,
.mc-component-library .v-img__placeholder,
.mc-component-library .v-img__error {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.mc-component-library .v-img__img--preload {
  filter: blur(4px);
}
.mc-component-library .v-img__img--contain {
  object-fit: contain;
}
.mc-component-library .v-img__img--cover {
  object-fit: cover;
}

.mc-component-library .v-img__gradient {
  background-repeat: no-repeat;
}.mc-component-library .v-responsive {
  display: flex;
  flex: 1 0 auto;
  max-height: 100%;
  max-width: 100%;
  overflow: hidden;
  position: relative;
}
.mc-component-library .v-responsive--inline {
  display: inline-flex;
  flex: 0 0 auto;
}

.mc-component-library .v-responsive__content {
  flex: 1 0 0px;
  max-width: 100%;
}

.mc-component-library .v-responsive__sizer ~ .v-responsive__content {
  margin-inline-start: -100%;
}

.mc-component-library .v-responsive__sizer {
  flex: 1 0 0px;
  transition: padding-bottom 0.2s cubic-bezier(0.4, 0, 0.2, 1);
  pointer-events: none;
}.mc-component-library .v-avatar {
  flex: none;
  align-items: center;
  display: inline-flex;
  justify-content: center;
  line-height: normal;
  overflow: hidden;
  position: relative;
  text-align: center;
  transition: 0.2s cubic-bezier(0.4, 0, 0.2, 1);
  transition-property: width, height;
  vertical-align: middle;
}
.mc-component-library .v-avatar.v-avatar--size-x-small {
  --v-avatar-height: 24px;
}
.mc-component-library .v-avatar.v-avatar--size-small {
  --v-avatar-height: 32px;
}
.mc-component-library .v-avatar.v-avatar--size-default {
  --v-avatar-height: 40px;
}
.mc-component-library .v-avatar.v-avatar--size-large {
  --v-avatar-height: 48px;
}
.mc-component-library .v-avatar.v-avatar--size-x-large {
  --v-avatar-height: 56px;
}
.mc-component-library .v-avatar.v-avatar--density-default {
  height: calc(var(--v-avatar-height) + 0px);
  width: calc(var(--v-avatar-height) + 0px);
}
.mc-component-library .v-avatar.v-avatar--density-comfortable {
  height: calc(var(--v-avatar-height) + -4px);
  width: calc(var(--v-avatar-height) + -4px);
}
.mc-component-library .v-avatar.v-avatar--density-compact {
  height: calc(var(--v-avatar-height) + -8px);
  width: calc(var(--v-avatar-height) + -8px);
}
.mc-component-library .v-avatar {
  border-color: rgba(var(--v-border-color), var(--v-border-opacity));
  border-style: solid;
  border-width: 0;
}
.mc-component-library .v-avatar--border {
  border-width: thin;
  box-shadow: none;
}
.mc-component-library .v-avatar {
  border-radius: 50%;
}
.mc-component-library .v-avatar--variant-plain, .mc-component-library .v-avatar--variant-outlined, .mc-component-library .v-avatar--variant-text, .mc-component-library .v-avatar--variant-tonal {
  background: transparent;
  color: inherit;
}
.mc-component-library .v-avatar--variant-plain {
  opacity: 0.62;
}
.mc-component-library .v-avatar--variant-plain:focus, .mc-component-library .v-avatar--variant-plain:hover {
  opacity: 1;
}
.mc-component-library .v-avatar--variant-plain .v-avatar__overlay {
  display: none;
}
.mc-component-library .v-avatar--variant-elevated, .mc-component-library .v-avatar--variant-flat {
  background: var(--v-theme-surface);
  color: rgba(var(--v-theme-on-surface), var(--v-medium-emphasis-opacity));
}
.mc-component-library .v-avatar--variant-elevated {
  box-shadow: 0px 2px 1px -1px var(--v-shadow-key-umbra-opacity, rgba(0, 0, 0, 0.2)), 0px 1px 1px 0px var(--v-shadow-key-penumbra-opacity, rgba(0, 0, 0, 0.14)), 0px 1px 3px 0px var(--v-shadow-key-ambient-opacity, rgba(0, 0, 0, 0.12));
}
.mc-component-library .v-avatar--variant-flat {
  box-shadow: 0px 0px 0px 0px var(--v-shadow-key-umbra-opacity, rgba(0, 0, 0, 0.2)), 0px 0px 0px 0px var(--v-shadow-key-penumbra-opacity, rgba(0, 0, 0, 0.14)), 0px 0px 0px 0px var(--v-shadow-key-ambient-opacity, rgba(0, 0, 0, 0.12));
}
.mc-component-library .v-avatar--variant-outlined {
  border: thin solid currentColor;
}
.mc-component-library .v-avatar--variant-text .v-avatar__overlay {
  background: currentColor;
}
.mc-component-library .v-avatar--variant-tonal .v-avatar__underlay {
  background: currentColor;
  opacity: var(--v-activated-opacity);
  border-radius: inherit;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  pointer-events: none;
}
.mc-component-library .v-avatar .v-avatar__underlay {
  position: absolute;
}
.mc-component-library .v-avatar--rounded {
  border-radius: 4px;
}
.mc-component-library .v-avatar--start {
  margin-inline-end: 8px;
}
.mc-component-library .v-avatar--end {
  margin-inline-start: 8px;
}
.mc-component-library .v-avatar .v-img {
  height: 100%;
  width: 100%;
}